From: Petr Baudis <pasky@suse.cz>
To: Linus Torvalds <torvalds@osdl.org>
Cc: Linux Kernel Mailing List <linux-kernel@vger.kernel.org>
Subject: [RESEND][PATCH] Script for automated historical Git tree grafting
Date: Thu, 8 Jun 2006 03:33:30 +0200 [thread overview]
Message-ID: <20060608013330.GA24203@pasky.or.cz> (raw)
This script enables Git users to easily graft the historical Git tree
(Bitkeeper history import) to the current history.
Signed-off-by: Petr Baudis <pasky@suse.cz>
---
git-gethistory.sh | 40 +++++++++++++++++++++++++++++++++++++++-
1 file changed, 39 insertions(+), 1 deletion(-)
diff --git a/scripts/git-gethistory.sh b/scripts/git-gethistory.sh
new file mode 100755
index 0000000..97b3e78
--- /dev/null
+++ b/scripts/git-gethistory.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# Graft the development history imported from BitKeeper to the current Git
+# history tree.
+#
+# Note that this will download about 260M.
+
+httpget="curl -O -C -"
+
+if [ -z "`which curl 2>/dev/null`" ]; then
+ httpget="wget -c"
+ if [ -z "`which wget 2>/dev/null`" ]; then
+ echo "Error: You need to have wget or curl installed so that I can fetch the history." >&2
+ exit 1
+ fi
+fi
+
+[ "$GIT_DIR" ] || GIT_DIR=.git
+if ! [ -d "$GIT_DIR" ]; then
+ echo "Error: You must run this from the project root (or set GIT_DIR to your .git directory)." >&2
+ exit 1
+fi
+cd "$GIT_DIR"
+
+echo "[git-gethistory] Downloading the history"
+mkdir -p objects/pack
+cd objects/pack
+$httpget http://www.kernel.org/pub/scm/linux/kernel/git/tglx/history.git/objects/pack/pack-cc3517351ecce3ef7ba010559992bdfc10b7acd4.idx
+$httpget http://www.kernel.org/pub/scm/linux/kernel/git/tglx/history.git/objects/pack/pack-cc3517351ecce3ef7ba010559992bdfc10b7acd4.pack
+
+echo "[git-gethistory] Setting up the grafts"
+cd ../..
+mkdir -p info
+# master
+echo 1da177e4c3f41524e886b7f1b8a0c1fc7321cac2 e7e173af42dbf37b1d946f9ee00219cb3b2bea6a >>info/grafts
+
+echo "[git-gethistory] Refreshing the dumb server info wrt. new packs"
+cd ..
+git-update-server-info
--
Petr "Pasky" Baudis
Stuff: http://pasky.or.cz/
Right now I am having amnesia and deja-vu at the same time. I think
I have forgotten this before.
next reply other threads:[~2006-06-08 1:33 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2006-06-08 1:33 Petr Baudis [this message]
2006-07-05 8:50 ` [RESEND][PATCH] Script for automated historical Git tree grafting Marcel Holtmann
-- strict thread matches above, loose matches on Subject: below --
2006-09-24 17:57 Petr Baudis
2006-06-17 21:26 Petr Baudis
2006-05-05 21:34 Petr Baudis
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20060608013330.GA24203@pasky.or.cz \
--to=pasky@suse.cz \
--cc=linux-kernel@vger.kernel.org \
--cc=torvalds@osdl.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox